mentors + add debconf in conclusion
[packaging-tutorial.git] / pract1-grep.tex
index 198c38c..d922c71 100644 (file)
@@ -28,6 +28,7 @@
        \item Rebuild the package
        \item Compare the original and the new package with debdiff
        \item Install the newly built package
+       \item Cry if you messed up ;)
 \end{enumerate}
 \end{frame}
 
@@ -71,7 +72,7 @@
        \begin{itemize}
                \item According to \texttt{debian/control}, this package only generates one binary package, named \texttt{grep}.
                        \hbr
-               \item According to \texttt{debian/rules}, this package is typical of \textsl{classic} debhelper packaging, without using \textsl{CDBS} or \textsl{debhelper 7}. One can see the various calls to \texttt{dh\_*} commands in \texttt{debian/rules}.
+               \item According to \texttt{debian/rules}, this package is typical of \textsl{classic} debhelper packaging, without using \textsl{CDBS} or \textsl{dh}. One can see the various calls to \texttt{dh\_*} commands in \texttt{debian/rules}.
        \end{itemize}
        \hbr
        \begin{enumerate}
        \hbr
                \item \texttt{grep -P foo} no longer works!
        \end{itemize}
+\br
+\begin{enumerate}
+               \setcounter{enumi}{8}
+       \item Cry if you messed up ;)
+\end{enumerate}
+\hbr
+Or not: reinstall the previous version of the package:
+\begin{itemize}
+       \item \texttt{apt-get install --reinstall grep=2.6.3-3} \textit{(= previous version)}
+\end{itemize}
 \end{frame}
 
-
-
 \end{document}